Highlighted

acs-commons-3.15.2 not able to install through Jenkins auto build

sreenu539

14-05-2018

M Starting installation of subpackage adobe/consulting:acs-aem-commons-content:3.15.2

FATAL: org.apache.jackrabbit.vault.packaging.DependencyException: Refusing to install package day/cq60/product:cq-content:6.3.76. required dependencies missing: [adobe/granite:com.adobe.granite.ui.content:0.8.452, adobe/granite:com.adobe.granite.ui.legacy:0.1.34, adobe/granite:com.adobe.granite.ui.shared.content:1.1.18, adobe/granite:com.adobe.granite.platform.content:0.5.52, adobe/granite:com.adobe.granite.platform.welcome:1.1.12, adobe/granite:com.adobe.granite.platform.clientlibs:1.1.106, adobe/granite:com.adobe.granite.security.content:0.2.174, adobe/granite:com.adobe.granite.replication.content:1.0.30, adobe/granite:com.adobe.granite.monitoring.content:1.0.26, adobe/granite:com.adobe.granite.backup.content:0.0.62, adobe/granite:com.adobe.granite.cluster.content:0.0.40, adobe/granite:com.adobe.granite.activitystreams.content:0.0.22, adobe/granite:com.adobe.granite.workflow.content:1.0.48]

Build step 'Deploy Content Packages to CRX' changed build result to FAILURE

Environment: Jenkins, AEM 6.3.2

Replies

Highlighted

sreenu539

14-05-2018

doesn't jenkins use maven pom to do the builds? Why anyone uses maven commands for QA, Staging environments to do builds? Isn't Continuous integration good?

Highlighted

smacdonald2008

14-05-2018

I have never heard of issue to build ACS-Commons Github code by using Maven and running commands like:

mvn -PautoInstallPackage install